{ ***************************************************************************
  `settings.inc' -- Overall compiler settings.

  This file is part of UPXDUMP.

  Copyright (C) 1997-2017  Robert Riebisch

  UPXDUMP is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  UPXDUMP is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file `licence.txt'.
  *************************************************************************** }

{$IFDEF VER55}
  {$IFDEF DEBUG}
    {$A+ Word alignment      ON }
    {$B- Full boolean eval   OFF}
    {$D+ Debug information   ON }
    {$E- 80x87 emulation     OFF}
    {$F- Force FAR calls     OFF}
    {$I+ I/O error checking  ON }
    {$L+ Local debug symbols ON }
    {$N- 80x87 instructions  OFF}
    {$O- Overlays allowed    OFF}
    {$R+ Range checking      ON }
    {$S+ Stack checking      ON }
    {$V+ Strict var-strings  ON }
  {$ELSE}
    {$A+ Word alignment      ON }
    {$B- Full boolean eval   OFF}
    {$D- Debug information   OFF}
    {$E- 80x87 emulation     OFF}
    {$F- Force FAR calls     OFF}
    {$I- I/O error checking  OFF}
    {$L- Local debug symbols OFF}
    {$N- 80x87 instructions  OFF}
    {$O- Overlays allowed    OFF}
    {$R- Range checking      OFF}
    {$S- Stack checking      OFF}
    {$V+ Strict var-strings  ON }
  {$ENDIF}
{$ENDIF}

{$IFDEF VER60}
  {$IFDEF DEBUG}
    {$A+ Word alignment      ON }
    {$B- Full boolean eval   OFF}
    {$D+ Debug information   ON }
    {$E- 80x87 emulation     OFF}
    {$F- Force FAR calls     OFF}
    {$G- 80286 instructions  OFF}
    {$I+ I/O error checking  ON }
    {$L+ Local debug symbols ON }
    {$N- 80x87 instructions  OFF}
    {$O- Overlays allowed    OFF}
    {$R+ Range checking      ON }
    {$S+ Stack checking      ON }
    {$V+ Strict var-strings  ON }
    {$X+ Extended syntax     ON }
  {$ELSE}
    {$A+ Word alignment      ON }
    {$B- Full boolean eval   OFF}
    {$D- Debug information   OFF}
    {$E- 80x87 emulation     OFF}
    {$F- Force FAR calls     OFF}
    {$G- 80286 instructions  OFF}
    {$I- I/O error checking  OFF}
    {$L- Local debug symbols OFF}
    {$N- 80x87 instructions  OFF}
    {$O- Overlays allowed    OFF}
    {$R- Range checking      OFF}
    {$S- Stack checking      OFF}
    {$V+ Strict var-strings  ON }
    {$X+ Extended syntax     ON }
  {$ENDIF}
{$ENDIF}

{$IFDEF VER70}
  {$IFDEF DEBUG}
    {$A+ Word alignment      ON }
    {$B- Full boolean eval   OFF}
    {$D+ Debug information   ON }
    {$E- 80x87 emulation     OFF}
    {$F- Force FAR calls     OFF}
    {$G- 80286 instructions  OFF}
    {$I+ I/O error checking  ON }
    {$L+ Local debug symbols ON }
    {$N- 80x87 instructions  OFF}
    {$O- Overlays allowed    OFF}
    {$P- Open string params  OFF}
    {$Q+ Overflow checking   ON }
    {$R+ Range checking      ON }
    {$S+ Stack checking      ON }
    {$T- Typed pointers      OFF}
    {$V+ Strict var-strings  ON }
    {$X+ Extended syntax     ON }
  {$ELSE}
    {$A+ Word alignment      ON }
    {$B- Full boolean eval   OFF}
    {$D- Debug information   OFF}
    {$E- 80x87 emulation     OFF}
    {$F- Force FAR calls     OFF}
    {$G- 80286 instructions  OFF}
    {$I- I/O error checking  OFF}
    {$L- Local debug symbols OFF}
    {$N- 80x87 instructions  OFF}
    {$O- Overlays allowed    OFF}
    {$P- Open string params  OFF}
    {$Q- Overflow checking   OFF}
    {$R- Range checking      OFF}
    {$S- Stack checking      OFF}
    {$T- Typed pointers      OFF}
    {$V+ Strict var-strings  ON }
    {$X+ Extended syntax     ON }
  {$ENDIF}
{$ENDIF}

{$IFDEF FPC}
  {$IFDEF DEBUG}
    {$I+ I/O error checking  ON }
  {$ELSE}
    {$I- I/O error checking  OFF}
  {$ENDIF}
  {$GOTO ON}  { for `win32' target }
{$ENDIF}

{ EOF }
